export declare class HandTool {
    private readonly element;
    private activateAbortController?;
    private mouseDownAbortController?;
    private scrollAbortController?;
    private scrollLeftStart;
    private scrollTopStart;
    private clientXStart;
    private clientYStart;
    private overlay;
    constructor(element: HTMLDivElement);
    activate(): void;
    deactivate(): void;
    toggle(): void;
    private ignoreTarget;
    private onMouseDown;
    private onMouseMove;
    private endPan;
}
